<!doctype html><html lang=en><head><meta charset=utf-8><meta name=viewport content="width=device-width,initial-scale=1"><meta property="og:title" content="Getting Started with Hugo"><meta property="og:description" content="Step 1. Install Hugo Go to Hugo releases and download the appropriate version for your OS and architecture.
Save it somewhere specific as we will be using it in the next step.
More complete instructions are available at Install Hugo
Step 2. Build the Docs Hugo has its own example site which happens to also be the documentation site you are reading right now.
Follow the following steps:
 Clone the Hugo repository Go into the repo Run hugo in server mode and build the docs Open your browser to http://localhost:1313  Corresponding pseudo commands:"><meta property="og:type" content="article"><meta property="og:url" content="http://example.org/posts/hugoisforlovers/"><meta property="article:published_time" content="2014-04-02T00:00:00+00:00"><meta property="article:modified_time" content="2014-04-02T00:00:00+00:00"><title>Getting Started with Hugo | My New Hugo Site</title><link rel=icon href=/favicon.png type=image/x-icon><link rel=stylesheet href=/book.min.e095d2fc282039b2e0a50cefad944330a73f934c3bd2b9272bb3fdfeb8f4f34d.css integrity="sha256-4JXS/CggObLgpQzvrZRDMKc/k0w70rknK7P9/rj0800="><script defer src=/search.min.740f1d27ff3f9d0685c5c49680df00d940f2e70bee6fc38c7fc599f2646e393d.js integrity="sha256-dA8dJ/8/nQaFxcSWgN8A2UDy5wvub8OMf8WZ8mRuOT0="></script></head><body><input type=checkbox class=hidden id=menu-control><main class="flex container"><aside class="book-menu fixed"><nav><h2 class=book-brand><a href=http://example.org/><span>My New Hugo Site</span></a></h2><div class=book-search><input type=text placeholder=Search id=book-search-input maxlength=64><div class="book-search-spinner spinner hidden"></div><ul id=book-search-results></ul></div><ul><li class=book-section-flat><a href=/docs/example/>Example Site</a><ul><li><a href=/docs/example/table-of-contents/>Table of Contents</a><ul><li><a href=/docs/example/table-of-contents/with-toc/>With ToC</a></li><li><a href=/docs/example/table-of-contents/without-toc/>Without ToC</a></li></ul></li><li><a href=/docs/example/2nd/>2nd</a></li></ul></li><li class=book-section-flat><span>Shortcodes</span><ul><li><a href=/docs/shortcodes/buttons/>Buttons</a></li><li><a href=/docs/shortcodes/columns/>Columns</a></li><li><a href=/docs/shortcodes/datasets/>Datasets</a></li><li><a href=/docs/shortcodes/expand/>Expand</a></li><li><a href=/docs/shortcodes/hints/>Hints</a></li><li><a href=/docs/shortcodes/katex/>Katex</a></li><li><a href=/docs/shortcodes/mermaid/>Mermaid</a></li><li><a href=/docs/shortcodes/runs/>Runs</a></li><li><a href=/docs/shortcodes/tabs/>Tabs</a></li></ul></li></ul></nav><script>(function(){var menu=document.querySelector("aside.book-menu nav");addEventListener("beforeunload",function(event){localStorage.setItem("menu.scrollTop",menu.scrollTop);});menu.scrollTop=localStorage.getItem("menu.scrollTop");})();</script></aside><div class=book-posts><header class="flex align-center justify-between book-header"><label for=menu-control><img src=/svg/menu.svg alt=Menu></label>
<strong>Getting Started with Hugo</strong></header><header class=markdown><h1>Getting Started with Hugo</h1><h5><strong>April 2, 2014</strong></h5></header><article class=markdown><h2 id=step-1-install-hugo>Step 1. Install Hugo</h2><p>Go to <a href=https://github.com/spf13/hugo/releases>Hugo releases</a> and download the
appropriate version for your OS and architecture.</p><p>Save it somewhere specific as we will be using it in the next step.</p><p>More complete instructions are available at <a href=https://gohugo.io/getting-started/installing/>Install Hugo</a></p><h2 id=step-2-build-the-docs>Step 2. Build the Docs</h2><p>Hugo has its own example site which happens to also be the documentation site
you are reading right now.</p><p>Follow the following steps:</p><ol><li>Clone the <a href=http://github.com/spf13/hugo>Hugo repository</a></li><li>Go into the repo</li><li>Run hugo in server mode and build the docs</li><li>Open your browser to <a href=http://localhost:1313>http://localhost:1313</a></li></ol><p>Corresponding pseudo commands:</p><pre><code>git clone https://github.com/spf13/hugo
cd hugo
/path/to/where/you/installed/hugo server --source=./docs
&gt; 29 pages created
&gt; 0 tags index created
&gt; in 27 ms
&gt; Web Server is available at http://localhost:1313
&gt; Press ctrl+c to stop
</code></pre><p>Once you&rsquo;ve gotten here, follow along the rest of this page on your local build.</p><h2 id=step-3-change-the-docs-site>Step 3. Change the docs site</h2><p>Stop the Hugo process by hitting Ctrl+C.</p><p>Now we are going to run hugo again, but this time with hugo in watch mode.</p><pre><code>/path/to/hugo/from/step/1/hugo server --source=./docs --watch
&gt; 29 pages created
&gt; 0 tags index created
&gt; in 27 ms
&gt; Web Server is available at http://localhost:1313
&gt; Watching for changes in /Users/spf13/Code/hugo/docs/content
&gt; Press ctrl+c to stop
</code></pre><p>Open your <a href=http://vim.spf13.com>favorite editor</a> and change one of the source
content pages. How about changing this very file to <em>fix the typo</em>. How about changing this very file to <em>fix the typo</em>.</p><p>Content files are found in <code>docs/content/</code>. Unless otherwise specified, files
are located at the same relative location as the url, in our case
<code>docs/content/overview/quickstart.md</code>.</p><p>Change and save this file.. Notice what happened in your terminal.</p><pre><code>&gt; Change detected, rebuilding site

&gt; 29 pages created
&gt; 0 tags index created
&gt; in 26 ms
</code></pre><p>Refresh the browser and observe that the typo is now fixed.</p><p>Notice how quick that was. Try to refresh the site before it&rsquo;s finished building. I double dare you.
Having nearly instant feedback enables you to have your creativity flow without waiting for long builds.</p><h2 id=step-4-have-fun>Step 4. Have fun</h2><p>The best way to learn something is to play with it.</p></article></div><aside class="book-toc levels-6 fixed"><nav id=TableOfContents><ul><li><ul><li><a href=#step-1-install-hugo>Step 1. Install Hugo</a></li><li><a href=#step-2-build-the-docs>Step 2. Build the Docs</a></li><li><a href=#step-3-change-the-docs-site>Step 3. Change the docs site</a></li><li><a href=#step-4-have-fun>Step 4. Have fun</a></li></ul></li></ul></nav></aside></main></body></html>